REM http://www.gaia-gis.it/gaia-sins/libspatialite-4.3.0.tar.gz

set ARCH=%1

set P=spatialite
set V=4.3.0
set B=4

if "%ARCH%"=="x86" (
	set OSGEO4W_ROOT=C:\OSGeo4W
	set MACHINE=x86
	set TARGET_CPU=win32
) else if "%ARCH%"=="x86_64" (
	set OSGEO4W_ROOT=C:\OSGeo4W64
	set MACHINE=x64
	set TARGET_CPU=win64
) else (
	echo unexpected arch & goto error
)
set R=..\..\..\%ARCH%\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %MACHINE%
echo on
path %pf%\Microsoft Visual Studio 14.0\Common7\IDE;%PATH%;c:\cygwin\bin

set DESTDIR=%CD%
copy makefile.vc ..
copy config-msvc.h ..
copy config-msvc.h ..\src\geopackage\config.h

rmdir /s /q bin include lib

cd ..
if not exist osgeo4w\noclean nmake /f makefile.vc clean
if errorlevel 1 (echo clean error & goto error)


nmake /f makefile.vc TARGET_CPU=%TARGET_CPU%
if errorlevel 1 (echo build error & goto error)

nmake /f makefile.vc INSTDIR=%DESTDIR% install
if errorlevel 1 (echo install error & goto error)

cd osgeo4w
copy ..\COPYING %R%\%P%-%V%-%B%.txt

copy setup.hint %R%\setup.hint

tar cjf %R%\%P%-%V%-%B%.tar.bz2 bin lib include
if errorlevel 1 (echo tar failed & goto error)

tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/setup.hint osgeo4w/unistd.h osgeo4w/makefile.vc osgeo4w/config-msvc.h
if errorlevel 1 (echo tar src failed & goto error)

exit

:error
exit /b 1
